// swift-tools-version:6.0

import PackageDescription

let package = Package(
    name: "Doxy",
    platforms: [
        .iOS(.v17),
        .macOS(.v14)
    ],
    products: [
        .executable(name: "App", targets: ["DoxyApp"])
    ],
    dependencies: [
        .package(url: "https://github.com/hummingbird-project/hummingbird.git", from: "2.0.0"),
        .package(url: "https://github.com/apple/swift-argument-parser.git", from: "1.3.0")
    ],
    targets: [
        .executableTarget(
            name: "DoxyApp",
            dependencies: [
                .product(name: "ArgumentParser", package: "swift-argument-parser"),
                .product(name: "Hummingbird", package: "hummingbird"),
                .target(name: "DoxyLibrary")
            ],
            path: "App"
        ),
        .target(
            name: "DoxyLibrary",
            dependencies: [
                .product(name: "ArgumentParser", package: "swift-argument-parser"),
                .product(name: "Hummingbird", package: "hummingbird")
            ],
            path: "Library"
        ),
        .testTarget(
            name: "DoxyTests",
            dependencies: [
                .product(name: "HummingbirdTesting", package: "hummingbird"),
                .target(name: "DoxyLibrary")
            ],
            path: "Test"
        )
    ]
)
